Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2173619 - Add glibc-gconv-extra dependency
Summary: Add glibc-gconv-extra dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 37
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-02-27 13:58 UTC by Robert Marcano
Modified: 2023-03-15 00:16 UTC (History)
11 users (show)

Fixed In Version: samba-4.17.5-2.fc37 samba-4.18.0-9.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-04 02:17:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Robert Marcano 2023-02-27 13:58:01 UTC
Description of problem:

Working on a container image for Samba, noticed a few warnings not happening before (running on a Debian based container)

  dos charset 'CP850' unavailable - using ASCII

Version-Release number of selected component (if applicable):

4.17.5-1.fc37

How reproducible:

Always

Steps to Reproduce:
1.Run Samba without and installed glibc-gconv-extra
2. Connect to the Samba server
3. Check the logs
4. Reinstall glibc-gconv-extra and restart Samba
5. Connect to the Samba server again.
6. Check the logs again.

Actual results:

When `glibc-gconv-extra` isn't installed the warning is shown.

Expected results:

No warning

Additional info:

Notice that on a full Fedora install `glibc-gconv-extra` is already pulled by other dependencies, but not when the samba package is installed alone on a container

Comment 1 Fedora Update System 2023-02-28 14:43:50 UTC
FEDORA-2023-54e066eb05 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-54e066eb05

Comment 2 Fedora Update System 2023-03-01 02:26:43 UTC
FEDORA-2023-54e066eb05 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-54e066eb05`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-54e066eb05

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2023-03-01 15:23:54 UTC
FEDORA-2023-ad493d75ce has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ad493d75ce

Comment 4 Robert Marcano 2023-03-01 15:29:54 UTC
Thanks for the fast update.

Comment 5 Fedora Update System 2023-03-02 02:06:48 UTC
FEDORA-2023-ad493d75ce has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ad493d75ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-03-04 02:17:55 UTC
FEDORA-2023-54e066eb05 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-03-09 01:30:07 UTC
FEDORA-2023-0b1ddbe7d5 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0b1ddbe7d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-03-15 00:16:44 UTC
FEDORA-2023-0b1ddbe7d5 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.